package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag769;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT769Creator;

/**
 * @author gaosheng
 * @date 2023-03-03
 */
public class Tag30Creator extends AbsTagCreate {

     private MT769Creator mt769Creator;

    public Tag30Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt769Creator= (MT769Creator) absMTCreator;
    }

    public void creator()
    {
        String tag30Value = mt769Creator.getDateOfReductionOrRelease();
        mt769Creator.set("30", tag30Value);
    }
}

